<?php

class litepaid_api {

	private $key;

	private $value;
	private $description;
	private $url;
	private $test;


	public function __construct($key) {

		$this->key = $key;

	}

	public function checkPayment($id) {

		$url = 'https://www.litepaid.com/api?id='.urlencode($id).'&key='.urlencode($this->key);

		$call = $this->request($url);

		if($call !== false) {

			$response = json_decode($call);

			if(strstr($response->result, 'success')) {

				return true;

			}
			else {

				return $response->data->error_name;

			}

		}
		else {
			echo 'API CALL FAILED';
			exit;
		}

	}

	public function newInvoice() {

		$url = 'https://www.litepaid.com/api?value='.urlencode($this->value).'&key='.urlencode($this->key).'&return_url='.urlencode($this->url).'&description='.urlencode($this->description).'&test='.urlencode($this->test);

		$call = $this->request($url);

		if($call !== false) {

			$response = json_decode($call);

			if($response->result == 'success') {

				$this->redirect('https://www.litepaid.com/invoice/id:'.$response->data->invoice_token);
				return true;

			}
			else {

				return $response->data->error_message;

			}

		}
		else {
			echo 'API CALL FAILED';
			exit;
		}


	}

	private function request($url) {

	  //$result = file_get_contents($url);
    $rCURL = curl_init();

    curl_setopt($rCURL, CURLOPT_URL, $url);
    curl_setopt($rCURL, CURLOPT_HEADER, 0);
    curl_setopt($rCURL, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($rCURL, CURLOPT_TIMEOUT, 60);

    $result = curl_exec($rCURL);
    curl_close($rCURL);

		if($result === false) {
			return false;
		}

		return $result;

	}


	public function setValue($value) {

		$this->value = $value;

	}

	public function setReturnURL($url) {

		$this->url = $url;

	}

	public function setTest($test) {

		$this->test = $test;

	}

	public function setDescription($description) {

		$this->description = $description;

	}

	public function redirect($url) {
		ob_start();
		header('location: '.$url);
		ob_end_flush();
		exit;	
	}
}